import { Command } from "@oclif/command";
/**
 * @description a script that is used in the `package.json` scripts
 * @example "g:component": "eb-scripts generate -t react-component -n"
 */
declare type Scripts = {
    [script in string]: string;
};
/**
 * @description valid project type
 * @example `react`
 * @todo eventually, we'll add others like `react-native`, `react-typescript`, `node`, etc.
 */
declare type ProjectType = "react" | "react-typescript" | "react-native-typescript";
/**
 * @description the available options for generate scripts that may be added to a user's `package.json`
 */
declare type ScriptByProject = {
    [project in ProjectType]: Scripts;
};
export declare const scriptsByProject: ScriptByProject;
export default class Init extends Command {
    static description: string;
    static examples: string[];
    static flags: {
        help: import("@oclif/parser/lib/flags").IBooleanFlag<void>;
    };
    static args: {
        name: string;
        required: boolean;
        description: string;
        options: ProjectType[];
    }[];
    run(): Promise<void>;
}
export {};
